# key_defined 3x

    key_defined(3x)                                   key_defined(3x)

## NAME

           define_key - define a keycode

## SYNOPSIS

           #include <curses.h>

           int key_defined(const char *definition);

## DESCRIPTION

           This is an extension to the curses library.  It permits an
           application to determine if a string is currently bound to
           any keycode.

## RETURN VALUE

           If  the  string  is bound to a keycode, its value (greater
           than zero) is returned.  If no keycode is bound,  zero  is
           returned.   If  the  string  conflicts with longer strings
           which are bound to keys, -1 is returned.

## PORTABILITY

           These routines are specific to  ncurses.   They  were  not
           supported  on  Version 7, BSD or System V implementations.
           It is recommended that any code depending on them be  con-
           ditioned using NCURSES_VERSION.

## SEE ALSO

           define_key(3x).

## AUTHOR

           Thomas Dickey.

                                                      key_defined(3x)